summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
Diffstat (limited to 'development')
-rw-r--r--development/check/README8
-rw-r--r--development/check/check.SlackBuild71
-rw-r--r--development/check/check.info8
-rw-r--r--development/check/slack-desc11
4 files changed, 98 insertions, 0 deletions
diff --git a/development/check/README b/development/check/README
new file mode 100644
index 0000000000..943c0cb0d7
--- /dev/null
+++ b/development/check/README
@@ -0,0 +1,8 @@
+Check is a unit test framework for C. It features a simple interface
+for defining unit tests, putting little in the way of the
+developer. Tests are run in a separate address space, so Check can
+catch both assertion failures and code errors that cause segmentation
+faults or other signals. The output from unit tests can be used within
+source code editors and IDEs.
+
+See the project's home page for more information, including a tutorial.
diff --git a/development/check/check.SlackBuild b/development/check/check.SlackBuild
new file mode 100644
index 0000000000..2fca00c7b6
--- /dev/null
+++ b/development/check/check.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for Check
+
+# Copyright 2006 Jules Villard <theblatte@loulous.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=check
+VERSION=0.9.3
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-check
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvfz $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+# No man page is provided
+
+# Move docs directory from /usr/share/ to /usr/doc
+mv $PKG/usr/share/doc $PKG/usr/doc
+cp -a AUTHORS INSTALL $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/check-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/check/check.info b/development/check/check.info
new file mode 100644
index 0000000000..3596914b18
--- /dev/null
+++ b/development/check/check.info
@@ -0,0 +1,8 @@
+PRGNAM="check"
+VERSION="0.9.3"
+HOMEPAGE="http://check.sourceforge.net/"
+DOWNLOAD="http://ovh.dl.sourceforge.net/sourceforge/check/check-0.9.3.tar.gz"
+MD5SUM="6e5870f7c9c5414572158d8005e91d68"
+MAINTAINER="Jules Villard"
+EMAIL="theblatte@loulous.org"
+APPROVED="robw810,PiterPunk"
diff --git a/development/check/slack-desc b/development/check/slack-desc
new file mode 100644
index 0000000000..ce3b363871
--- /dev/null
+++ b/development/check/slack-desc
@@ -0,0 +1,11 @@
+check: Check
+check:
+check:
+check: Check is a unit test framework for C. It features a simple interface
+check: for defining unit tests, putting little in the way of the
+check: developer. Tests are run in a separate address space, so Check can
+check: catch both assertion failures and code errors that cause segmentation
+check: faults or other signals. The output from unit tests can be used within
+check: source code editors and IDEs.
+check:
+check: \ No newline at end of file